## ros-kinetic-libmodbus 0.8.8

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(libmodbus)

find_package(catkin REQUIRED COMPONENTS
  cmake_modules
)

catkin_package(
  INCLUDE_DIRS include
  LIBRARIES modbus
)

###########
## Build ##
###########

include_directories(
  include
)

add_library(modbus
  src/modbus-data.c
  src/modbus-rtu.c
  src/modbus-tcp.c
  src/modbus.c
)

#############
## Install ##
#############

## Mark executables and/or libraries for installation
install(TARGETS modbus
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

## Mark cpp header files for installation
install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
  FILES_MATCHING PATTERN "*.h"
  PATTERN ".svn" EXCLUDE
)

=== debian/changelog ===
ros-kinetic-libmodbus (0.8.8-0xenial) xenial; urgency=high

  * reintroduiced not so redundant include file
  * Contributors: Gilbert Groten

 -- Denis Štogl <denis.stogl@kit.edu>  Tue, 11 Dec 2018 23:00:00 -0000

ros-kinetic-libmodbus (0.8.7-0xenial) xenial; urgency=high

  * removed previously generated .la files
  * Contributors: Gilbert Groten

 -- Denis Štogl <denis.stogl@kit.edu>  Tue, 11 Dec 2018 23:00:00 -0000

ros-kinetic-libmodbus (0.8.6-0xenial) xenial; urgency=high

  * removed redundant include file
  * Contributors: Gilbert Groten

 -- Denis Štogl <denis.stogl@kit.edu>  Tue, 11 Dec 2018 23:00:00 -0000

ros-kinetic-libmodbus (0.8.5-0xenial) xenial; urgency=high

  * removed redundant source file
  * Contributors: Gilbert Groten

 -- Denis Štogl <denis.stogl@kit.edu>  Tue, 11 Dec 2018 23:00:00 -0000

ros-kinetic-libmodbus (0.8.4-0xenial) xenial; urgency=high

  * removed redundant makefile
  * Contributors: Gilbert Groten

 -- Denis Štogl <denis.stogl@kit.edu>  Tue, 11 Dec 2018 23:00:00 -0000

ros-kinetic-libmodbus (0.8.3-0xenial) xenial; urgency=high

  * removed redundant makefile
  * Contributors: Gilbert Groten

 -- Denis Štogl <denis.stogl@kit.edu>  Tue, 11 Dec 2018 23:00:00 -0000

ros-kinetic-libmodbus (0.8.2-0xenial) xenial; urgency=high

  * removed redundant makefile
  * Contributors: Gilbert Groten

 -- Denis Štogl <denis.stogl@kit.edu>  Tue, 11 Dec 2018 23:00:00 -0000

ros-kinetic-libmodbus (0.8.1-0xenial) xenial; urgency=high

  * Cleaned libmodbus with correct includes (#2)
  * Update CMakeLists.txt
  * Update CMakeLists.txt
  * Ati rs485 interface (#1)
    * Integrated the libmodbus package (https://libmodbus.org/).
    The package was build on the official v3.1.4. release of libmodbus and was slightly modified.
    The modifications enable us to use custom baudrates not supported in the termios.h by using 'baudrate aliasing'.
    This will redefine an existing baudrate to the baudrate requested by the user and then it for modbus communication.
    * Renamed repository and added travis build
  * Contributors: Denis Štogl

 -- Denis Štogl <denis.stogl@kit.edu>  Mon, 10 Dec 2018 23:00:00 -0000

=== debian/control ===
Source: ros-kinetic-libmodbus
Section: misc
Priority: extra
Maintainer: Denis Štogl <denis.stogl@kit.edu>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-cmake-modules
Homepage: http://wiki.ros.org/iirob_controllers
Standards-Version: 3.9.2

Package: ros-kinetic-libmodbus
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-cmake-modules
Description: The iirob_filters package implements following filters: 1) Low-Pass 2) Moving Mean 3) Gravity Compensation (used for force-torque sensors) 4) Threshold Filter

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-libmodbus//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
